Bug 602900 - [abrt] crash in alsa-tools-1.0.22-1.fc12: ____strtol_l_internal: Process /usr/bin/envy24control was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in alsa-tools-1.0.22-1.fc12: ____strtol_l_internal: Process /usr...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-tools   
(Show other bugs)
Version: 12
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Tim Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6ddfa2ea7cfd0c0f856556268fa...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-11 00:18 UTC by Niels Mayer
Modified: 2010-12-03 13:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 13:55:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (28.54 KB, text/plain)
2010-06-11 00:18 UTC, Niels Mayer
no flags Details
Patch to fix crashes in -D ... and -c ... argument processing, making envy24control behave more like alsamixer or amixer (2.76 KB, patch)
2010-08-05 05:08 UTC, Niels Mayer
no flags Details | Diff

Description Niels Mayer 2010-06-11 00:18:07 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: envy24control --device DMX6Fire --outputs 6 --input 6 --pcm_output 2 --spdif 2 --view_spdif_playback --midichannel 1 --midienhanced --window_width 1050 --tall_eq_mixer_heights 1
component: alsa-tools
crash_function: ____strtol_l_internal
executable: /usr/bin/envy24control
global_uuid: 6ddfa2ea7cfd0c0f856556268fa69713ddb427ee
kernel: 2.6.32.12-115.fc12.x86_64
package: alsa-tools-1.0.22-1.fc12
rating: 4
reason: Process /usr/bin/envy24control was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

comment
-----
coggie-97-~> envy24control -c 6 -D 0 --outputs 6 --input 6 --pcm_output 2 --view_spdif_playback --midichannel 1 --midienhanced --window_width 1050 --tall_eq_mixer_heights 1
Segmentation fault (core dumped)
coggie-98-~> envy24control -c 6 -D 1 --outputs 6 --input 6 --pcm_output 2 --view_spdif_playback --midichannel 1 --midienhanced --window_width 1050 --tall_eq_mixer_heights 1
Segmentation fault (core dumped)
coggie-99-~> envy24control -c 6 -D default --outputs 6 --input 6 --pcm_output 2 --view_spdif_playback --midichannel 1 --midienhanced --window_width 1050 --tall_eq_mixer_heights 1
Segmentation fault (core dumped)
coggie-100-~> envy24control -D default                                          Segmentation fault (core dumped)
coggie-101-~> envy24control -D 0
Segmentation fault (core dumped)
coggie-102-~> envy24control -D 1
Segmentation fault (core dumped)

How to reproduce
-----
1. install a card with snd-ice1712 driver
2. call "envy24control -D <argument>" where <argument> can be a valid device, or nonsense, it doesn't matter...
3. core dump.

Comment 1 Niels Mayer 2010-06-11 00:18:08 UTC
Created attachment 423096 [details]
File: backtrace

Comment 2 Niels Mayer 2010-08-05 05:08:40 UTC
Created attachment 436750 [details]
Patch to fix crashes in -D ... and -c ... argument processing, making envy24control behave more like alsamixer or amixer

See http://linuxaudio.org/mailarchive/lad/2010/8/5/172573 and
http://linuxaudio.org/mailarchive/lad/2010/8/5/172574 for details.

This patch is part of a larger set of modifications on envy24control. See
http://nielsmayer.com/envy24control/?C=M;O=D for latest updates.

Comment 3 Niels Mayer 2010-09-02 03:48:42 UTC
http://mudita24.googlecode.com is the page for my fork of envy24control(1)
although I hope to submit it for acceptance by ALSA once some contributions by
Tim E. Real are finalized.

Comment 4 Bug Zapper 2010-11-03 13:20:38 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-12-03 13:55:26 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.